<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>VaxEncoding (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VaxEncoding (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/VaxEncoding.html" target="_top">Frames</a></li>
<li><a href="VaxEncoding.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Class VaxEncoding" class="title">Class VaxEncoding</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.VaxEncoding</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">VaxEncoding</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Helper methods for decoding Vax style (little endian) integers as used by Firebird from byte arrays.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#encodeVaxInteger-java.io.OutputStream-int-">encodeVaxInteger</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                int&nbsp;value)</code>
<div class="block">Encodes an integer using vax encoding into the output stream, length prefix is included.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#encodeVaxInteger2WithoutLength-java.io.OutputStream-int-">encodeVaxInteger2WithoutLength</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                              int&nbsp;value)</code>
<div class="block">Encodes an integer using two byte vax encoding into the output stream, without length prefix.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#encodeVaxIntegerWithoutLength-java.io.OutputStream-int-">encodeVaxIntegerWithoutLength</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                             int&nbsp;value)</code>
<div class="block">Encodes an integer using vax encoding into the output stream, without length prefix.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#encodeVaxLong-java.io.OutputStream-long-">encodeVaxLong</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
             long&nbsp;value)</code>
<div class="block">Encodes a long using vax encoding into the output stream, length prefix is included.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#encodeVaxLongWithoutLength-java.io.OutputStream-long-">encodeVaxLongWithoutLength</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                          long&nbsp;value)</code>
<div class="block">Encodes a long using vax encoding into the output stream, without length prefix.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger-byte:A-int-int-">iscVaxInteger</a></span>(byte[]&nbsp;buffer,
             int&nbsp;startPosition,
             int&nbsp;length)</code>
<div class="block">Reads Vax style integers from the supplied buffer, starting at <code>startPosition</code> and reading for
 <code>length</code> bytes.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger2-byte:A-int-">iscVaxInteger2</a></span>(byte[]&nbsp;buffer,
              int&nbsp;startPosition)</code>
<div class="block">Variant of <a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger-byte:A-int-int-"><code>iscVaxInteger(byte[], int, int)</code></a> specifically for two-byte integers.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxLong-byte:A-int-int-">iscVaxLong</a></span>(byte[]&nbsp;buffer,
          int&nbsp;startPosition,
          int&nbsp;length)</code>
<div class="block">Reads Vax style integers from the supplied buffer, starting at <code>startPosition</code> and reading for
 <code>length</code> bytes.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="iscVaxInteger-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iscVaxInteger</h4>
<pre>public static&nbsp;int&nbsp;iscVaxInteger(byte[]&nbsp;buffer,
                                int&nbsp;startPosition,
                                int&nbsp;length)</pre>
<div class="block">Reads Vax style integers from the supplied buffer, starting at <code>startPosition</code> and reading for
 <code>length</code> bytes.
 <p>
 This method is useful for lengths up to 4 bytes (ie normal Java integers (<code>int</code>). For larger lengths it
 will return <code>0</code>. Use <a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxLong-byte:A-int-int-"><code>iscVaxLong(byte[], int, int)</code></a> for reading values with length up to 8 bytes.
 For decoding 2 byte integers, use <a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger2-byte:A-int-"><code>iscVaxInteger2(byte[], int)</code></a> for optimal performance.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffer</code> - The byte array from which the integer is to be retrieved</dd>
<dd><code>startPosition</code> - The offset starting position from which to start retrieving byte values</dd>
<dd><code>length</code> - number of bytes to read</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The integer value retrieved from the bytes</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxLong-byte:A-int-int-"><code>iscVaxLong(byte[], int, int)</code></a>, 
<a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger2-byte:A-int-"><code>iscVaxInteger2(byte[], int)</code></a></dd>
</dl>
</li>
</ul>
<a name="encodeVaxInteger-java.io.OutputStream-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeVaxInteger</h4>
<pre>public static&nbsp;void&nbsp;encodeVaxInteger(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                                    int&nbsp;value)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Encodes an integer using vax encoding into the output stream, length prefix is included.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stream</code> - Output stream to write</dd>
<dd><code>value</code> - Value to encode</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="encodeVaxIntegerWithoutLength-java.io.OutputStream-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeVaxIntegerWithoutLength</h4>
<pre>public static&nbsp;void&nbsp;encodeVaxIntegerWithoutLength(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                                                 int&nbsp;value)
                                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Encodes an integer using vax encoding into the output stream, without length prefix.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stream</code> - Output stream to write</dd>
<dd><code>value</code> - Value to encode</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="iscVaxLong-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iscVaxLong</h4>
<pre>public static&nbsp;long&nbsp;iscVaxLong(byte[]&nbsp;buffer,
                              int&nbsp;startPosition,
                              int&nbsp;length)</pre>
<div class="block">Reads Vax style integers from the supplied buffer, starting at <code>startPosition</code> and reading for
 <code>length</code> bytes.
 <p>
 This method is useful for lengths up to 8 bytes (ie normal Java longs (<code>long</code>). For larger lengths it will
 return <code>0</code>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffer</code> - The byte array from which the integer is to be retrieved</dd>
<dd><code>startPosition</code> - The offset starting position from which to start retrieving byte values</dd>
<dd><code>length</code> - number of bytes to read</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The integer value retrieved from the bytes</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger-byte:A-int-int-"><code>iscVaxInteger(byte[], int, int)</code></a>, 
<a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger2-byte:A-int-"><code>iscVaxInteger2(byte[], int)</code></a></dd>
</dl>
</li>
</ul>
<a name="encodeVaxLong-java.io.OutputStream-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeVaxLong</h4>
<pre>public static&nbsp;void&nbsp;encodeVaxLong(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                                 long&nbsp;value)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Encodes a long using vax encoding into the output stream, length prefix is included.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stream</code> - Output stream to write</dd>
<dd><code>value</code> - Value to encode</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="encodeVaxLongWithoutLength-java.io.OutputStream-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>encodeVaxLongWithoutLength</h4>
<pre>public static&nbsp;void&nbsp;encodeVaxLongWithoutLength(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                                              long&nbsp;value)
                                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Encodes a long using vax encoding into the output stream, without length prefix.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stream</code> - Output stream to write</dd>
<dd><code>value</code> - Value to encode</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="iscVaxInteger2-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iscVaxInteger2</h4>
<pre>public static&nbsp;int&nbsp;iscVaxInteger2(byte[]&nbsp;buffer,
                                 int&nbsp;startPosition)</pre>
<div class="block">Variant of <a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger-byte:A-int-int-"><code>iscVaxInteger(byte[], int, int)</code></a> specifically for two-byte integers.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buffer</code> - The byte array from which the integer is to be retrieved</dd>
<dd><code>startPosition</code> - The offset starting position from which to start retrieving byte values</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The integer value retrieved from the bytes</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxInteger-byte:A-int-int-"><code>iscVaxInteger(byte[], int, int)</code></a>, 
<a href="../../../org/firebirdsql/gds/VaxEncoding.html#iscVaxLong-byte:A-int-int-"><code>iscVaxLong(byte[], int, int)</code></a></dd>
</dl>
</li>
</ul>
<a name="encodeVaxInteger2WithoutLength-java.io.OutputStream-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>encodeVaxInteger2WithoutLength</h4>
<pre>public static&nbsp;void&nbsp;encodeVaxInteger2WithoutLength(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;stream,
                                                  int&nbsp;value)
                                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Encodes an integer using two byte vax encoding into the output stream, without length prefix.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stream</code> - Output stream to write</dd>
<dd><code>value</code> - Value to encode</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/VaxEncoding.html" target="_top">Frames</a></li>
<li><a href="VaxEncoding.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
